CommonDialog (Control)

El control CommonDialog proporciona un conjunto de cuadros de diálogo estándar para realizar operaciones como abrir y guardar archivos, establecer las opciones de impresión y seleccionar colores y fuentes. El control también tiene la posibilidad de presentar Ayuda ejecutando el motor de Ayuda de Windows.

Sintaxis

CommonDialog

Comentarios

El control CommonDialog proporciona una interfaz entre Visual Basic y las rutinas de la biblioteca de vínculos dinámicos Commdlg.dll de Microsoft Windows. Para crear un cuadro de diálogo utilizando este control, Commdlg.dll debe encontrarse en el directorio SYSTEM de Microsoft Windows.

Para usar el control CommonDialog en una aplicación, agréguelo a un formulario y establezca sus propiedades. El cuadro de diálogo presentado por el control está determinado por los métodos del control. En tiempo de ejecución se presenta un cuadro de diálogo o se ejecuta el motor de Ayuda, cuando se invoca el método apropiado; en tiempo de diseño, el control CommonDialog se presenta como un icono dentro de un formulario. No se puede cambiar el tamaño de dicho icono.

El control CommonDialog puede presentar los cuadros de diálogo siguientes utilizando el método especificado.

Método | Cuadro de diálogo presentado
ShowOpen | Abrir.
ShowSave | Guardar como.
ShowColor | Color.
ShowFont | Fuente.
ShowPrinter | Imprimir u Opciones de impresión.
ShowHelp | Invoca el motor de Ayuda de Windows.

El control CommonDialog proporciona automáticamente Ayuda interactiva sobre la interfaz de los cuadros de diálogo cuando:

  • Se hace clic en el botón de Ayuda ¿Qué es esto? de la barra de título y, después, se hace clic en el elemento acerca del que desea más información.

  • Se hace clic con el botón secundario del mouse (ratón) en el elemento acerca del que se desea más información y, después, se selecciona el comando ¿Qué es esto? del menú contextual que aparece.

El sistema operativo proporciona el texto presentado en la Ayuda emergente de Windows 95. También puede presentar un botón Ayuda en los cuadros de diálogo con el control CommonDialog estableciendo la propiedad Flags; sin embargo, en esta situación tiene que aportar usted los temas de Ayuda.

Nota No hay ninguna manera de especificar dónde se presenta el cuadro de diálogo.

Para obtener más información Para ver temas de Ayuda para cada cuadro de diálogo, haga clic en Vea también.


No se encuentra el tema

No se halló el tema correspondiente. A continuación enumeramos algunas posibles razones y sus soluciones:

  • El archivo (.chm) que contiene el tema de destino no se encuentra en la ubicación esperada.

    Solución: vuelva a ejecutar la instalación de la Biblioteca MSDN.

  • El archivo (.chm) que contiene el tema actual o el de destino no está actualizado y el vínculo ya no es válido.

    Solución: instale la última versión de la Biblioteca MSDN.

  • El CD de la Biblioteca MSDN no está en la unidad de CD-ROM.

    Solución: inserte el CD en la unidad.


CommonDialog (Control, cuadro de diálogo Color)

El cuadro de diálogo Color se presenta mediante el método ShowColor del control CommonDialog. El cuadro de diálogo Color permite que el usuario seleccione un color de una paleta o que cree y seleccione un color personalizado.

Para usar el cuadro de diálogo Color, establezca las propiedades del control CommonDialog relativas al cuadro de diálogo Color. Después, utilice el método ShowColor para presentar realmente el cuadro de diálogo y utilice la propiedad Color para obtener el color seleccionado.


Ejemplo del control CommonDialog del cuadro de diálogo Color

El siguiente ejemplo presenta el cuadro de diálogo Color y establece la propiedad BackColor del formulario al color seleccionado:

Private Sub Command1_Click()
    ' Establecer CancelError a True
    CommonDialog1.CancelError = True
    On Error GoTo ErrHandler
    ' Establecer la propiedad Flags
    CommonDialog1.Flags = cdlCCRGBInit
    ' Presentar el cuadro de diálogo Color
    CommonDialog1.ShowColor
    ' Establecer el color de fondo del formulario al color seleccionado
    Form1.BackColor = CommonDialog1.Color
    Exit Sub

ErrHandler:
    ' El usuario ha hecho clic en el botón Cancelar
End Sub


CommonDialog (Control, cuadro de diálogo Fuente)

El cuadro de diálogo Fuente se presenta mediante el método ShowFont del control CommonDialog. El cuadro de diálogo Fuente permite que el usuario seleccione una fuente especificando una fuente, un tamaño, un color y un estilo.

Para usar el cuadro de diálogo Fuente, establezca las propiedades del control CommonDialog relativas al cuadro de diálogo Fuente. Después, utilice el método ShowFont para presentar realmente el cuadro de diálogo. Una vez que el usuario realice sus selecciones en el cuadro de diálogo Fuente, las propiedades siguientes contienen información acerca de la selección del usuario:

Propiedad | Determina
Color | El color seleccionado. Para usar esta propiedad, tiene que establecer primero la propiedad Flags a cdlCFEffects.
FontBold | Si ha seleccionado negrita.
FontItalic | Si ha seleccionado cursiva.
FontStrikethru | Si ha seleccionado tachado. Para usar esta propiedad, tiene que establecer primero la propiedad Flags a cdlCFEffects.
FontUnderline | Si ha seleccionado subrayado. Para usar esta propiedad, tiene que establecer primero la propiedad Flags a cdlCFEffects.
FontName | El nombre de fuente seleccionado.
FontSize | El tamaño de fuente seleccionado.


Ejemplo del control CommonDialog del cuadro de diálogo Fuente

El siguiente ejemplo presenta el cuadro de diálogo Fuente y establece los atributos de fuente de un cuadro de texto con las selecciones del usuario:

Private Sub Command1_Click()
    ' Establecer CancelError a True
    CommonDialog1.CancelError = True
    On Error GoTo ErrHandler
    ' Establecer la propiedad Flags
    CommonDialog1.Flags = cdlCFEffects Or cdlCFBoth
    ' Presentar el cuadro de diálogo Fuente
    CommonDialog1.ShowFont
    Text1.Font.Name = CommonDialog1.FontName
    Text1.Font.Size = CommonDialog1.FontSize
    Text1.Font.Bold = CommonDialog1.FontBold
    Text1.Font.Italic = CommonDialog1.FontItalic
    Text1.Font.Underline = CommonDialog1.FontUnderline
    Text1.FontStrikethru = CommonDialog1.FontStrikethru
    Text1.ForeColor = CommonDialog1.Color
    Exit Sub
ErrHandler:
    ' El usuario ha hecho clic en el botón Cancelar
    Exit Sub
End Sub


CommonDialog (Control, Ayuda)

El método ShowHelp del control CommonDialog ejecuta el motor de Ayuda de Windows (WINHLP32.EXE) y presenta un archivo de Ayuda definido por la propiedad HelpFile.

Gracias a la propiedad HelpCommand puede indicar al motor de Ayuda el tipo de Ayuda en pantalla que desea, como interactiva o Ayuda acerca de una palabra clave concreta, etc.


Ejemplo de las propiedades HelpCommand y HelpContext

El ejemplo siguiente muestra varios comandos de ayuda. Para probar el ejemplo, sitúe un control CommonDialog y cinco controles CommandButton en un formulario. Pegue el código en la sección Declaraciones, presione F5 y haga clic en cada botón.

Option Explicit
Const HelpCNT = &HB

Private Sub Command1_Click()
   With CommonDialog1
      ' Debe establecer el nombre del archivo de Ayuda.
      .HelpFile = "VB5.hlp"
      ' Muestra la tabla de contenidos. Tenga en cuenta que
      ' la constante HelpCNT no es intrínseca.
      '.cdlHelpSetContents asegura que sólo muestra
      ' contenidos (no Índice o Buscar).
      .HelpCommand = HelpCNT Or cdlHelpSetContents
      .ShowHelp
   End With
End Sub

Private Sub Command2_Click()
   With CommonDialog1
      .HelpFile = "VB5.hlp"
      ' Va al tema Click (Evento) en el archivo de Ayuda.
      ' El número lo determina la sección [MAP]
      ' del archivo .HPJ para el archivo .chm. Sólo puede
      ' modificar este número si está usando
      ' Microsoft Help para generar su propio
      ' archivo de Ayuda.
      .HelpContext = 916302
      .HelpCommand = cdlHelpContext
      .ShowHelp
    End With
End Sub

Private Sub Command3_Click()
   With CommonDialog1
      .HelpFile = "VB5.hlp"
      ' Muestra ayuda sobre la Ayuda.
      .HelpCommand = cdlHelpHelpOnHelp
      .ShowHelp
   End With
End Sub

Private Sub Command4_Click()
   With CommonDialog1
      .HelpFile = "VB5.hlp"
      .HelpKey = "datos"
      ' Muestra el índice con la clave seleccionada.
      .HelpCommand = cdlHelpKey
      .ShowHelp
   End With
End Sub

Private Sub Command5_Click()
   With CommonDialog1
      .HelpFile = "VB5.hlp"
      .HelpKey = "matrices,"
      ' Muestra una lista con los temas encontrados con
      ' HelpKey.
      .HelpCommand = cdlHelpPartialKey
      .ShowHelp
   End With
End Sub

Private Sub Form_Load()
   ' Títulos de los controles CommandButton.
   Command1.Caption = "Contenidos"
   Command2.Caption = "Temas específicos"
   Command3.Caption = "Ayuda sobre la Ayuda"
   Command4.Caption = "Índice de temas"
   Command5.Caption = "Encontrar temas"
End Sub


CommonDialog (Control, cuadros de diálogo Abrir y Guardar como)

Los cuadros de diálogo Abrir y Guardar como se presentan mediante los métodos ShowOpen y ShowSave del control CommonDialog.

Ambos cuadros de diálogo permiten que el usuario especifique una unidad, un directorio, una extensión de nombre de archivo y un nombre de archivo. El cuadro de diálogo Guardar es idéntico en apariencia al cuadro de diálogo Abrir, excepto en el título.

En tiempo de ejecución, cuando el usuario elige un archivo y cierra el cuadro de diálogo, la propiedad FileName se utiliza para obtener el nombre de archivo seleccionado.

Puede establecer la propiedad Filter de forma que el cuadro de diálogo presente sólo ciertos tipos de archivos, como archivos de texto. La propiedad Flags se puede usar para cambiar varios elementos del cuadro de diálogo, así como para avisar al usuario cuando pueden producirse ciertas situaciones, como la sobrescritura de un archivo.


Ejemplo del control CommonDialog de los cuadros de diálogo Abrir y Guardar como

El ejemplo siguiente muestra el cuadro de diálogo Abrir y después presenta el nombre de archivo seleccionado en un cuadro de mensajes:

Private Sub Command1_Click()
    ' Establecer CancelError a True
    CommonDialog1.CancelError = True
    On Error GoTo ErrHandler
    ' Establecer los indicadores
    CommonDialog1.Flags = cdlOFNHideReadOnly
    ' Establecer los filtros
    CommonDialog1.Filter = "Todos los archivos (*.*)|*.*|Archivos de texto" & _
    "(*.txt)|*.txt|Archivos por lotes (*.bat)|*.bat"
    ' Especificar el filtro predeterminado
    CommonDialog1.FilterIndex = 2
    ' Presentar el cuadro de diálogo Abrir
    CommonDialog1.ShowOpen
    ' Presentar el nombre del archivo seleccionado
    MsgBox CommonDialog1.Filename
    Exit Sub

ErrHandler:
    ' El usuario ha hecho clic en el botón Cancelar
    Exit Sub
End Sub


CommonDialog (Control, cuadro de diálogo Imprimir)

El cuadro de diálogo Imprimir se presenta mediante el método ShowPrinter del control CommonDialog. El cuadro de diálogo Imprimir permite que el usuario especifique cómo se va a imprimir el resultado. El usuario puede especificar la impresión de un intervalo de páginas, la calidad de la impresión, el número de copias, etc. Este cuadro de diálogo también contiene información acerca de la impresora instalada actualmente y permite que el usuario configure o vuelva a instalar una nueva impresora predeterminada.

Nota Este cuadro de diálogo no envía los datos a la impresora sino que permite que el usuario especifique cómo quiere imprimir sus datos. Si la propiedad PrinterDefault es True, puede usar el objeto Printer para imprimir datos en el formato que se seleccione.

En tiempo de ejecución, cuando el usuario hace selecciones en el cuadro de diálogo Imprimir, las siguientes propiedades contienen información acerca de la selección del usuario.

Propiedad | Determina
Copies | El número de copias que se van a imprimir.
FromPage | La página en la que se inicia la impresión.
ToPage | La página en la que se detiene la impresión.
hDC | El contexto de dispositivo para la impresora seleccionada.


Ejemplo del control CommonDialog del cuadro de diálogo Imprimir

El siguiente ejemplo presenta el cuadro de diálogo Imprimir.

Private Sub Command1_Click()
    Dim BeginPage, EndPage, NumCopies, i
    ' Establecer CancelError a True
    CommonDialog1.CancelError = True
    On Error GoTo ErrHandler
    ' Presentar el cuadro de diálogo Imprimir
    CommonDialog1.ShowPrinter
    ' Obtener los valores seleccionados por el usuario en el cuadro de
    ' diálogo
    BeginPage = CommonDialog1.FromPage
    EndPage = CommonDialog1.ToPage
    NumCopies = CommonDialog1.Copies
    For i = 1 To NumCopies
        ' Código para enviar los datos a la impresora
    Next i
    Exit Sub
ErrHandler:
    ' El usuario ha hecho clic en el botón Cancelar
    Exit Sub
End Sub


Constantes del control CommonDialog

Indicadores del cuadro de diálogo Abrir/Guardar archivo

Constante | Valor | Descripción
cdlOFNAllowMultiselect &H200 Especifica que el cuadro de lista Nombre de archivo acepta múltiples selecciones.

El usuario puede seleccionar más de un archivo en tiempo de ejecución si presiona la tecla Mayús y utiliza las teclas Flecha arriba y Flecha abajo para seleccionar los archivos deseados. Una vez realizado esto, la propiedad FileName devuelve una cadena que contiene los nombres de todos los archivos seleccionados. Los nombres de la cadena están delimitados por espacios en blanco.
cdlOFNCreatePrompt | &H2000 | Especifica que el cuadro de diálogo pregunta al usuario si desea crear un archivo que no existe. Este indicador establece automáticamente los indicadores cdlOFNPathMustExist y cdlOFNFileMustExist.
cdlOFNExplorer | &H80000 | Utiliza la plantilla del cuadro de diálogo Abrir archivo tipo Explorador. Los cuadros de diálogo comunes que utilizan este indicador no funcionan en Windows NT con el shell de Windows 95.
cdlOFNExtensionDifferent | &H400 | Indica que la extensión del nombre de archivo devuelto es distinta de la especificada por la propiedad DefaultExt. Este indicador no se establece si la propiedad DefaultExt es Null, si las extensiones coinciden o si el archivo no tiene extensión. El valor de este indicador se puede comprobar al cerrar el cuadro de diálogo.
cdlOFNFileMustExist | &H1000 | Especifica que el usuario sólo puede especificar en el cuadro de texto Nombre de archivo nombres de archivos existentes. Si se establece este indicador y el usuario escribe un nombre de archivo no válido, aparecerá una advertencia. Este indicador establece automáticamente el indicador cdlOFNPathMustExist.
cdlOFNHelpButton | &H10 | Hace que el cuadro de diálogo muestre el botón Ayuda.
cdlOFNHideReadOnly | &H4 | Oculta la casilla de verificación Sólo lectura.
cdlOFNLongNames | &H200000 | Utiliza nombres de archivo largos.
cdlOFNNoChangeDir | &H8 | Fuerza al cuadro de diálogo a establecer el directorio actual al que era el directorio actual cuando se abrió el cuadro de diálogo.
cdlOFNNoDereferenceLinks | &H100000 | No resuelve la referencia en vínculos del sistema (también conocidos como accesos directos). De forma predeterminada, la elección de un vínculo hace que el sistema resuelva la referencia que contiene.
cdlOFNNoLongNames | &H40000 | No utiliza nombres de archivo largos.
cdlOFNNoReadOnlyReturn | &H8000 | Especifica que el archivo devuelto no tendrá establecido el atributo de Sólo lectura y no estará en un directorio protegido contra escritura.
cdlOFNNoValidate | &H100 | Especifica que el cuadro de diálogo común admite caracteres no válidos en el nombre de archivo devuelto.
cdlOFNOverwritePrompt | &H2 | Hace que el cuadro de diálogo Guardar como genere un cuadro de mensajes si el archivo seleccionado ya existe. El usuario debe confirmar si desea sobrescribir el archivo.
cdlOFNPathMustExist | &H800 | Especifica que el usuario sólo puede especificar rutas de acceso válidas. Si se establece este indicador y el usuario escribe una ruta de acceso no válida, se mostrará un mensaje de advertencia.
cdlOFNReadOnly | &H1 | Hace que la casilla de verificación Sólo lectura esté activada inicialmente cuando se crea el cuadro de diálogo. Este indicador también indica el estado de dicha casilla de verificación cuando se cierra el cuadro de diálogo.
cdlOFNShareAware | &H4000 | Especifica que se pasarán por alto los errores de violación al compartir.

Indicadores del cuadro de diálogo Color

Constante | Valor | Descripción
cdCCFullOpen | &H2 | Se muestra todo el cuadro de diálogo, incluyendo la sección Definir colores personalizados.
cdlCCHelpButton | &H8 | Hace que el cuadro de diálogo muestre un botón Ayuda.
cdlCCPreventFullOpen | &H4 | Desactiva el botón de comando Definir colores personalizados e impide que el usuario defina colores personalizados.
cdlCCRGBInit | &H1 | Establece el valor de color inicial para el cuadro de diálogo.

Indicadores del cuadro de diálogo Fuentes

Constante | Valor | Descripción
cdlCFANSIOnly | &H400 | Especifica que el cuadro de diálogo sólo permite la selección de las fuentes que utilicen el juego de caracteres de Windows. Si este indicador está activado, el usuario no podrá seleccionar una fuente que sólo contenga símbolos.
cdlCFApply | &H200 | Habilita el botón Aplicar del cuadro de diálogo.
cdlCFBoth | &H3 | Hace que el cuadro de diálogo enumere las fuentes disponibles de pantalla y de impresora. La propiedad hDC identifica el contexto de dispositivo asociado a la impresora.
cdlCFEffects | &H100 | Especifica que el cuadro de diálogo permite los efectos de tachado, subrayado y color.
cdlCFFixedPitchOnly | &H4000 | Especifica que el cuadro de diálogo selecciona sólo fuentes de densidad fija.
cdlCFForceFontExist | &H10000 | Especifica que se presentará un mensaje de error si el usuario intenta seleccionar una fuente o un estilo que no exista.
cdlCFHelpButton | &H4 | Hace que el cuadro de diálogo muestre un botón Ayuda.
cdlCFLimitSize | &H2000 | Especifica que el cuadro de diálogo selecciona sólo tamaños de fuente dentro del intervalo especificado por las propiedades Min y Max.
cdlCFNoFaceSel | &H80000 | No hay ningún nombre de fuente seleccionado.
cdlCFNoSimulations | &H1000 | Especifica que el cuadro de diálogo no permite la simulación de fuentes de la interfaz de dispositivos gráficos (GDI, Graphic Device Interface).
cdlCFNoSizeSel | &H200000 | No hay seleccionado ningún tamaño de fuente.
cdlCFNoStyleSel | &H100000 | No hay seleccionado ningún estilo de fuente.
cdlCFNoVectorFonts | &H800 | Especifica que el cuadro de diálogo no permite la selección de fuentes vectoriales.
cdlCFPrinterFonts | &H2 | Hace que el cuadro de diálogo enumere únicamente las fuentes aceptadas por la impresora, según lo especificado por la propiedad hDC.
cdlCFScalableOnly | &H20000 | Especifica que el cuadro de diálogo sólo permite la selección de fuentes escalables.
cdlCFScreenFonts | &H1 | Hace que el cuadro de diálogo muestre únicamente las fuentes de pantalla compatibles con el sistema.
cdlCFTTOnly | &H40000 | Especifica que el cuadro de diálogo sólo permite la selección de fuentes TrueType.
cdlCFWYSIWYG | &H8000 | Especifica que el cuadro de diálogo sólo permite seleccionar fuentes disponibles tanto en la impresora como en la pantalla. Si se establece este indicador, también se deben establecer los indicadores cdlCFBoth y cdlCFScalableOnly.

Indicadores del cuadro de diálogo Imprimir

Constante | Valor | Descripción
cdlPDAllPages | &H0 | Devuelve o establece el estado del botón de opción Todo.
cdlPDCollate | &H10 | Devuelve o establece el estado de la casilla de verificación Intercalar.
cdlPDDisablePrintToFile | &H80000 | Deshabilita la casilla de verificación Imprimir en un archivo.
cdlPDHelpButton | &H800 | Hace que el cuadro de diálogo presente el botón Ayuda.
cdlPDHidePrintToFile | &H100000 | Oculta la casilla de verificación Imprimir en un archivo.
cdlPDNoPageNums | &H8 | Deshabilita el botón de opción Páginas y el control de edición asociado.
cdlPDNoSelection | &H4 | Deshabilita el botón de opción Selección.
cdlPDNoWarning | &H80 | Evita que aparezca un mensaje de advertencia cuando no hay ninguna impresora predeterminada.
cdlPDPageNums | &H2 | Devuelve o establece el estado del botón de opción Páginas.
cdlPDPrintSetup | &H40 | Hace que el sistema presente el cuadro de diálogo Configurar impresora en vez del cuadro de diálogo Imprimir.
cdlPDPrintToFile | &H20 | Devuelve o establece el estado de la casilla de verificación Imprimir en un archivo.
cdlPDReturnDC | &H100 | Devuelve un contexto de dispositivo para la impresora seleccionada en el cuadro de diálogo. El contexto de dispositivo se devuelve en la propiedad hDC del cuadro de diálogo.
cdlPDReturnDefault | &H400 | Devuelve el nombre de la impresora predeterminada.
cdlPDReturnIC | &H200 | Devuelve un contexto de información para la impresora seleccionada en el cuadro de diálogo. El contexto de información proporciona una manera rápida de obtener información acerca del dispositivo sin crear un contexto de dispositivo. El contexto de información se devuelve en la propiedad hDC del cuadro de diálogo.
cdlPDSelection | &H1 | Devuelve o establece el estado del botón de opción Selección. Si no se especifican cdlPDPageNums ni cdlPDSelection, el botón de opción Todo estará en el estado seleccionado.
CdlPDUseDevModeCopies | &H40000 | Si un controlador de impresora no acepta varias copias, el establecimiento de este indicador deshabilita el control Número de copias del cuadro de diálogo Imprimir. Si un controlador no acepta varias copias, el establecimiento de este indicador señala que el cuadro de diálogo almacena el número de copias solicitado en la propiedad Copies.

Constantes de Ayuda

Constante | Valor | Descripción
cdlHelpCommandHelp | &H102 | Muestra Ayuda acerca de un determinado comando.
cdlHelpContents | &H3 | Muestra el tema de contenido del archivo de Ayuda actual.
cdlHelpContext | &H1 | Muestra Ayuda acerca de un tema determinado.
cdlHelpContextPopup | &H8 | Muestra un tema identificado por un número de contexto.
cdlHelpForceFile | &H9 | Crea un archivo de Ayuda que presenta texto en una única fuente.
cdlHelpHelpOnHelp | &H4 | Muestra Ayuda acerca del uso de la propia aplicación de Ayuda.
cdlHelpIndex | &H3 | Muestra el índice del archivo de Ayuda especificado.
cdlHelpKey | &H101 | Muestra Ayuda acerca de una palabra clave determinada.
cdlHelpPartialKey | &H105 | Llama al motor de búsqueda de la Ayuda de Windows.
cdlHelpQuit | &H2 | Notifica a la aplicación de Ayuda que el archivo de Ayuda especificado ya no está en uso.
cdlHelpSetContents | &H5 | Designa un tema específico como tema de contenido.
cdlHelpSetIndex | &H5 | Establece el índice actual para la Ayuda de múltiples índices.


Constantes de error de CommonDialog

Constante | Valor | Descripción
cdlAlloc | &H7FF0 & | No se pudo asignar memoria para la propiedad FileName o Filter.
cdlCancel | &H7FF3 & | Se ha seleccionado Cancelar.
cdlDialogFailure | &HFFFF8000 & | La función falló al cargar el cuadro de diálogo.
cdlFindResFailure | &H7FF9 & | La función falló al cargar un recurso especificado.
cdlHelp | &H7FEF & | Falló la llamada a la Ayuda de Windows.
cdlInitialization | &H7FFD & | La función falló durante la inicialización.
cdlLoadResFailure | &H7FF8 & | La función falló al cargar una cadena especificada.
cdlLockResFailure | &H7FF7 & | La función falló al bloquear un recurso especificado.
cdlMemAllocFailure | &H7FF6 & | La función no pudo asignar memoria para las estructuras de datos internas.
cdlMemLockFailure | &H7FF5 & | La función no pudo bloquear la memoria asociada con un controlador.
cdlNoFonts | &H5FFE & | No existe ninguna fuente.
cdlBufferTooSmall | &H4FFC & | El búfer al que apunta lpstrFile es demasiado pequeño.
cdlInvalidFileName | &H4FFD & | El nombre de archivo no es válido.
cdlSubclassFailure | &H4FFE & | Un intento de subclasificar un cuadro de lista falló debido a que no hay memoria suficiente.
cdlCreateICFailure | &H6FF5 & | La función PrintDlg falló cuando intentaba crear un contexto de información.
cdlDndmMismatch | &H6FF6 & | Las estructuras de datos DevMode y DevNames describen dos impresoras diferentes.
cdlGetDevModeFail | &H6FFA & | El controlador de dispositivo de impresora falló al inicializar una estructura de datos DevMode.
cdlInitFailure | &H6FF9 & | La función PrintDlg falló durante la inicialización.
cdlLoadDrvFailure | &H6FFB & | La función PrintDlg no pudo cargar el controlador de dispositivo de impresora especificado.
cdlLoadStrFailure | &H7FFA | La función falló al cargar una cadena especificada.
cdlNoDefaultPrn | &H6FF7 & | No existe ninguna impresora predeterminada.
cdlNoDevices | &H6FF8 & | No se encontró ningún controlador de dispositivo de impresora.
cdlParseFailure | &H6FFD & | La función CommonDialog falló al analizar las cadenas de la sección [devices] del registro.
cdlPrinterCodes | &H&H6FFF & | Se ha establecido el indicador PDReturnDefault, pero los campos hDevMode o hDevNames eran distintos de cero.
cdlPrinterNotFound | &H6FF4 & | La sección [devices] del archivo Win.ini no contiene ninguna entrada para la impresora solicitada.
cdlRetDefFailure | &H6FFC & | Se estableció el indicador PDReturnDefault, pero los campos hDevMode o hDevNames eran distintos de cero.
cdlSetupFailure | &H&H6FFE & | Error al cargar los recursos necesarios.


ShowColor (Método)

Presenta el cuadro de diálogo Color del control CommonDialog.

Sintaxis

objeto.ShowColor

El marcador de posición objeto representa una expresión de objeto que da como resultado un objeto de la lista Se aplica a.


Ejemplo de los métodos ShowColor, ShowFont, ShowHelp, ShowOpen, ShowPrinter y ShowSave

Este ejemplo usa el control CommonDialog y los métodos ShowColor, ShowFont, ShowHelp, ShowOpen, ShowPrinter y ShowSave para presentar los cuadros de diálogo comunes. Para ejecutar este ejemplo, pegue el código en la sección Declaraciones de un formulario con controles CommandButton, OptionButton (asigne 0 a la propiedad Index del botón de opción) y CommonDialog. Presione F5 y elija el botón de opción del cuadro de diálogo común que desee; después, elija el botón de comando.

Private Sub Form_Paint ()
   Static FlagFormPainted As Integer
   ' Cuando el formulario se presenta por primera vez,
   If FlagFormPainted <> True Then
      For i = 1 To 5
         Load Option1(i)   ' Agregar cinco botones de opción a la matriz.
         Option1(i).Top = Option1(i - 1).Top + 350
         Option1(i).Visible = True
      Next i
      Option1(0).Caption = "Abrir"   ' Poner título en los botones de
                                    ' opción.
      Option1(1).Caption = "Guardar"
      Option1(2).Caption = "Color"
      Option1(3).Caption = "Fuente"
       Option1(4).Caption = "Imprimir"
      Option1(5).Caption = "Ayuda"
      Command1.Caption = "Mostrar diálogo"   ' Etiquetar el botón de
                                             ' comando.
      FlagFormPainted = True   ' El formulario ya está presentado.
   End If
End Sub

Private Sub Command1_Click ()
   If Option1(0).Value Then   ' Si se elige el botón de opción Abrir,
      CommonDialog1.ShowOpen   ' presentar el cuadro de diálogo común
                              ' Abrir.
   ElseIf Option1(1).Value Then   ' O bien,
      CommonDialog1.ShowSave   ' presentar el cuadro de diálogo común
                              ' Guardar.
   ElseIf Option1(2).Value Then   ' O bien,
      CommonDialog1.ShowColor   ' presentar el cuadro de diálogo común
                              ' Color.
   ElseIf Option1(3).Value Then   ' O bien,
      CommonDialog1.Flags = cdlCFBoth   ' Hay que establecer la propiedad
                                       ' Flags
            ' a cdlCFBoth,
            ' cdlCFPrinterFonts
            ' o cdlCFScreenFonts antes de usar el
            ' método ShowFont.
      CommonDialog1.ShowFont   ' Presentar el cuadro de diálogo Fuente.
   ElseIf Option1(4).Value Then   ' O bien,
      CommonDialog1.ShowPrinter   ' presentar el cuadro de diálogo
                                 ' Imprimir.
   ElseIf Option1(5).Value Then   ' O bien,
      CommonDialog1.HelpFile = "VB5.hlp"
      CommonDialog1.HelpCommand = cdlHelpContents
      CommonDialog1.ShowHelp   ' Presentar el contenido de la Ayuda de
                              ' Visual Basic.
      End If
End Sub


ShowFont (Método)

Presenta el cuadro de diálogo Fuente del control CommonDialog.

Sintaxis

objeto.ShowFont

El marcador de posición objeto representa una expresión de objeto que da como resultado un objeto de la lista Se aplica a.

Comentarios

Antes de usar el método ShowFont tiene que asignar a la propiedad Flags del control CommonDialog una de tres constantes o valores: cdlCFBoth o &H3, cdlCFPrinterFonts o &H2, o cdlCFScreenFonts o &H1. Si no establece Flags, aparecerá un cuadro de mensajes avisando que "No hay ninguna fuente instalada" y se producirá un error en tiempo de ejecución.


ShowHelp (Método)

Ejecuta Winhlp32.exe y presenta el archivo de Ayuda que especifique.

Sintaxis

objeto.ShowHelp

El marcador de posición objeto representa una expresión de objeto que da como resultado un objeto de la lista Se aplica a.

Comentarios

Antes de usar el método ShowHelp, tiene que establecer las propiedades HelpFile y HelpCommand del control CommonDialog a una de sus constantes o valores apropiados. De lo contrario, Winhlp32.exe no presentará el archivo de Ayuda.


ShowOpen (Método)

Presenta el cuadro de diálogo Abrir del control CommonDialog.

Sintaxis

objeto.ShowOpen

El marcador de posición objeto representa una expresión de objeto que da como resultado un objeto de la lista Se aplica a.


ShowPrinter (Método)

Presenta el cuadro de diálogo Imprimir del control CommonDialog.

Sintaxis

objeto.ShowPrinter

El marcador de posición objeto representa una expresión de objeto que da como resultado un objeto de la lista Se aplica a.


ShowSave (Método)

Presenta el cuadro de diálogo Guardar como del control CommonDialog.

Sintaxis

objeto.ShowSave

El marcador de posición objeto representa una expresión de objeto que da como resultado un objeto de la lista Se aplica a.


Action (Propiedad, control CommonDialog)

Devuelve o establece el tipo de cuadro de diálogo que se va a presentar. No está disponible en tiempo de diseño.

Nota La propiedad Action se incluye por compatibilidad con versiones anteriores de Visual Basic. Para obtener funcionalidad adicional, utilice los métodos nuevos siguientes: ShowColor, ShowFont, ShowHelp, ShowOpen, ShowPrinter y ShowSave.

Sintaxis

objeto.Action [= valor]

La sintaxis de la propiedad Action consta de las siguientes partes:

Parte | Descripción
objeto | Una expresión de objeto que da como resultado un objeto de la lista Se aplica a.
valor | Una expresión numérica que especifica el tipo de cuadro de diálogo presentado, como se describe en Valores.

Valores

Los valores admitidos para valor son:

Valor | Descripción
0 | Ninguna acción.
1 | Presenta el cuadro de diálogo Abrir.
2 | Presenta el cuadro de diálogo Guardar como.
3 | Presenta el cuadro de diálogo Color.
4 | Presenta el cuadro de diálogo Fuente.
5 | Presenta el cuadro de diálogo Imprimir.
6 | Ejecuta WINHLP32.EXE.

Tipo de datos

Integer


CancelError (Propiedad)

Devuelve o establece un valor que indica si se generará un error cuando el usuario haga clic en el botón Cancelar.

Sintaxis

objeto.CancelError [= booleano]

La sintaxis de la propiedad CancelError consta de las siguientes partes:

Parte | Descripción
objeto | Una expresión de objeto que da como resultado un objeto de la lista Se aplica a.
booleano | Una expresión booleana que indica si se genera un error, como se describe en Valores.

Valores

Los valores admitidos para booleano son:

Valor | Descripción
True | Se genera un error.
False | (Predeterminado) No se genera ningún error.

Comentarios

Cuando esta propiedad se establece a True, se produce el error número 32755 (cdlCancel) siempre que el usuario hace clic en el botón Cancelar.

Tipo de datos

Boolean


Color (Propiedad)

Devuelve o establece el color seleccionado.

Sintaxis

objeto.Color [= número]

La sintaxis de la propiedad Color consta de las siguientes partes:

Parte | Descripción
objeto | Una expresión de objeto que da como resultado un objeto de la lista Se aplica a.
número | Una expresión numérica que especifica el color.

Valores

Los valores admitidos para número son:

Valor | Descripción
Colores RGB normales | Colores establecidos en el código mediante las funciones RGB o QBColor.
Colores predeterminados del sistema | Colores especificados mediante las constantes de color del sistema de la biblioteca de objetos de Visual Basic (VB) en el Examinador de objetos. El sistema operativo Microsoft Windows sustituye las opciones del usuario según lo especificado por los valores del Panel de control del usuario.

Comentarios

Para que esta propiedad devuelva un color en un cuadro de diálogo Color, hay que activar el indicador cdlCCRGBInit. En el cuadro de diálogo Fuente, se debe activar el indicador cdlCFEffects.

Tipo de datos

Long


DefaultExt (Propiedad)

Devuelve o establece la extensión predeterminada de nombre de archivo del cuadro de diálogo.

Sintaxis

objeto.DefaultExt [= cadena]

La sintaxis de la propiedad DefaultExt consta de las siguientes partes:

Parte | Descripción
objeto | Una expresión de objeto que da como resultado un objeto de la lista Se aplica a.
cadena | Una expresión de cadena que especifica la extensión del archivo.

Comentarios

Utilice esta propiedad para especificar una extensión predeterminada de nombre de archivo, como .txt o .doc.

Cuando se guarda un archivo sin extensión, la extensión especificada por esta propiedad se anexa automáticamente al nombre del archivo.

Tipo de datos

String


DialogTitle (Propiedad)

Devuelve o establece la cadena presentada en la barra de título del cuadro de diálogo.

Sintaxis

objeto.DialogTitle [= título]

La sintaxis de la propiedad DialogTitle consta de las siguientes partes:

Parte | Descripción
objeto | Una expresión de objeto que da como resultado un objeto de la lista Se aplica a.
título | Una expresión de cadena que especifica el nombre del cuadro de diálogo.

Comentarios

Utilice esta propiedad para presentar el nombre del cuadro de diálogo en la barra de título.

Nota El control CommonDialog pasa por alto el valor de la propiedad DialogTitle cuando presenta los cuadros de diálogo Color, Fuente o Imprimir.

El título predeterminado de un cuadro de diálogo Abrir es Abrir; el título predeterminado de un cuadro de diálogo Guardar como es Guardar como.

Tipo de datos

String


FileTitle (Propiedad)

Devuelve el nombre (sin la ruta de acceso) del archivo que se va a abrir o a guardar.

Sintaxis

objeto.FileTitle

El marcador de posición objeto es una expresión de objeto que da como resultado un objeto de la lista Se aplica a.

Comentarios

Cuando el usuario selecciona un archivo y hace clic en Aceptar en el cuadro de diálogo Archivo, la propiedad FileTitle toma un valor que se puede usar después para abrir o guardar el archivo seleccionado.

Nota Si el indicador cdlOFNNoValidate está activado, la propiedad FileTitle no devolverá ningún valor.

Tipo de datos

String


Filter (Propiedad, control CommonDialog)

Devuelve o establece los filtros presentados en el cuadro de lista Tipo de un cuadro de diálogo.

Sintaxis

objeto.Filter [= descripción1 |filtro1 |descripción2 |filtro2...]

La sintaxis de la propiedad Filter consta de las siguientes partes:

Parte | Descripción
objeto | Una expresión de objeto que da como resultado un objeto de la lista Se aplica a.
descripción | Una expresión de cadena que describe el tipo de archivo.
filtro | Una expresión de cadena que especifica la extensión del nombre de archivo.

Comentarios

El filtro especifica el tipo de archivos que se presentan en el cuadro de lista de archivos del cuadro de diálogo. Por ejemplo, si selecciona el filtro *.txt se presentarán todos los archivos de texto.

Utilice esta propiedad para proporcionar al usuario una lista de filtros que se pueden seleccionar cuando se presente el cuadro de diálogo.

Utilice la barra vertical ( | ) (ASCII 124) para separar los valores descripción y filtro. No incluya espacios en blanco delante o a continuación de la barra vertical, ya que dichos espacios aparecerán en los valores descripción y filtro.

El siguiente código muestra un ejemplo de filtro que permite que el usuario seleccione archivos de texto o archivos gráficos que incluyan mapas de bits e iconos:

Texto (*.txt)|*.txt|Imágenes (*.bmp;*.ico)|*.bmp;*.ico

Cuando especifique varios filtros en un cuadro de diálogo, utilice la propiedad FilterIndex para determinar qué filtro se presenta como predeterminado.

Tipo de datos

String


FilterIndex (Propiedad)

Devuelve o establece un filtro predeterminado para un cuadro de diálogo Abrir o Guardar como.

Sintaxis

objeto.FilterIndex [= número]

La sintaxis de la propiedad FilterIndex consta de las siguientes partes:

Parte | Descripción
objeto | Una expresión de objeto que da como resultado un objeto de la lista Se aplica a.
número | Una expresión numérica que especifica un filtro predeterminado.

Comentarios

Esta propiedad especifica el filtro predeterminado cuando utiliza la propiedad Filter para especificar filtros que aparecerán en los cuadros de diálogo Abrir o Guardar como.

El índice del primer filtro definido es 1.

Tipo de datos

Integer


Flags (Propiedad, cuadro de diálogo Color)

Devuelve o establece las opciones de un cuadro de diálogo Color.

Sintaxis

objeto.Flags [= valor]

La sintaxis de la propiedad Flags consta de las siguientes partes:

Parte | Descripción
objeto | Una expresión de objeto que da como resultado un objeto de la lista Se aplica a.
valor | Una constante o un valor que especifica las opciones del cuadro de diálogo Color, como se describe en Valores.

Valores

Los valores admitidos para valor son:

Constante | Valor | Descripción
cdCCFullOpen | &H2 | Se presenta todo el cuadro de diálogo, incluyendo la sección Definir colores personalizados.
cdlCCHelpButton | &H8 | Hace que el cuadro de diálogo presente un botón Ayuda.
cdlCCPreventFullOpen | &H4 | Desactiva el botón de comando Definir colores personalizados y evita que el usuario defina colores personalizados.
cdlCCRGBInit | &H1 | Establece el valor de color inicial del cuadro de diálogo.

Comentarios

Estas constantes se enumeran en la biblioteca de objetos del control CommonDialog (MSComDlg) de Microsoft, dentro del Examinador de objetos.

También puede definir determinados indicadores. Utilice la palabra clave Const en la sección Declaraciones del formulario inicial para definir los indicadores que quiere usar.

Puede establecer uno o varios indicadores para un cuadro de diálogo mediante el operador Or. Por ejemplo:

CommonDialog1.Flags = &H10& Or &H200&

La suma de los valores de las constantes deseadas produce el mismo resultado. El ejemplo siguiente es equivalente al anterior:

CommonDialog1.Flags = &H210&

Tipo de datos

Long


Flags (Propiedad, cuadros de diálogo Abrir y Guardar como)

Devuelve o establece las opciones de los cuadros de diálogo Abrir y Guardar como.

Sintaxis

objeto.Flags [= valor]

La sintaxis de la propiedad Flags consta de las siguientes partes:

Parte | Descripción
objeto | Una expresión de objeto que da como resultado un objeto de la lista Se aplica a.
valor | Una constante o un valor que especifica las opciones de los cuadros de diálogo Abrir y Guardar como, como se describe en Valores.

Valores

Los valores admitidos para valor son:

Constante | Valor | Descripción
cdlOFNAllowMultiselect &H200 Especifica que el cuadro de lista Nombre de archivo permite varias selecciones.

El usuario puede seleccionar varios archivos en tiempo de ejecución presionando la tecla Mayús y utilizando las teclas Flecha arriba y Flecha abajo para seleccionar los archivos deseados. Al terminar, la propiedad FileName devuelve una cadena que contiene los nombres de todos los archivos seleccionados. Los nombres de la cadena están delimitados por espacios en blanco.
cdlOFNCreatePrompt | &H2000 | Especifica que el cuadro de diálogo solicita al usuario la creación de un archivo que no existe actualmente. Este indicador establece automáticamente los indicadores cdlOFNPathMustExist y cdlOFNFileMustExist.
cdlOFNExplorer | &H80000 | Usa la plantilla del cuadro de diálogo Abrir archivo de tipo Explorador. Funciona en Windows 95 y en Windows NT 4.0.
cdlOFNExtensionDifferent | &H400 | Indica que la extensión del nombre de archivo devuelto es distinta de la extensión especificada por la propiedad DefaultExt. Este indicador no está definido si la propiedad DefaultExt es Null, si las extensiones coinciden o si el archivo no tiene extensión. El valor de este indicador se puede comprobar después de cerrar el cuadro de diálogo.
cdlOFNFileMustExist | &H1000 | Especifica que el usuario sólo puede introducir nombres de archivos existentes en el cuadro de texto Nombre de archivo. Si este indicador está activado y el usuario escribe un nombre de archivo no válido, se mostrará una advertencia. Este indicador establece automáticamente el indicador cdlOFNPathMustExist.
cdlOFNHelpButton | &H10 | Hace que el cuadro de diálogo presente el botón Ayuda.
cdlOFNHideReadOnly | &H4 | Oculta la casilla de verificación Sólo lectura.
cdlOFNLongNames | &H200000 | Usa nombres de archivo largos.
cdlOFNNoChangeDir | &H8 | Hace que el cuadro de diálogo restablezca como directorio actual el que lo era en el momento de abrirse el cuadro de diálogo.
cdlOFNNoDereferenceLinks | &H100000 | No resuelve la referencia en vínculos del sistema (también conocidos como accesos directos). De forma predeterminada, la elección de un vínculo hace que el sistema resuelva la referencia que contiene.
cdlOFNNoLongNames | &H40000 | No utiliza nombres de archivo largos.
cdlOFNNoReadOnlyReturn | &H8000 | Especifica que el archivo devuelto no tendrá establecido el atributo de Sólo lectura y no estará en un directorio protegido contra escritura.
cdlOFNNoValidate | &H100 | Especifica que el cuadro de diálogo común permite caracteres no válidos en el nombre de archivo devuelto.
cdlOFNOverwritePrompt | &H2 | Hace que el cuadro de diálogo Guardar como genere un cuadro de mensajes si el archivo seleccionado ya existe. El usuario tiene que confirmar si desea sobrescribir el archivo.
cdlOFNPathMustExist | &H800 | Especifica que el usuario sólo puede escribir rutas de acceso válidas. Si este indicador está activado y el usuario escribe una ruta no válida, se mostrará un mensaje de advertencia.
cdlOFNReadOnly | &H1 | Hace que la casilla de verificación Sólo lectura esté activada inicialmente cuando se crea el cuadro de diálogo. Este indicador también indica el estado de dicha casilla de verificación cuando se cierra el cuadro de diálogo.
cdlOFNShareAware | &H4000 | Especifica que se pasarán por alto los errores de violación al compartir.

Comentarios

Los indicadores cdlOFNExplorer y cdlOFNNoDereferenceLinks sólo funcionan en Windows 95 y en Windows NT 4.0. Los cuadros de diálogo de selección múltiple de Windows 95 que utilizan cdlOFNExplorer usan caracteres nulos como delimitadores, pero en versiones anteriores de Windows NT sin la interfaz de Windows 95, la selección múltiple usa espacios en blanco como delimitadores (sin aceptar nombres de archivo largos).

En Windows NT 4.0 y en Windows 95, si no elige el indicador cdlOFNAllowMultiselect, los indicadores cdlOFNExplorer y cdlOFNLongNames no tienen efecto y toman los valores predeterminados.

Si usa únicamente el indicador cdlOFNAllowMultiselect en Windows NT 4.0 y en Windows 95, no se aceptarán nombres de archivo largos. Esto se debe a que los distintos nombres de archivo están delimitados por espacios en blanco y los nombres de archivo largos podrían incluir espacios. No puede evitar este comportamiento si tiene Windows NT 3.5. Si usa cdlOFNAllowMultiselect, no podrá ver nombres de archivo largos. Si agrega el indicador cdlOFNExplorer en Windows 95, podrá hacer selecciones múltiples y ver nombres de archivo largos. Pero los nombres de archivo vienen delimitados por caracteres nulos y no por espacios en blanco. Así, el uso de cdlOFNAllowMultiselect con cdlOFNExplorer requerirá un análisis diferente del nombre de archivo resultante en Windows 95 y en Windows NT 4.0.

Estas constantes se enumeran en la biblioteca de objetos del control CommonDialog (MSComDlg) de Microsoft, dentro del Examinador de objetos.

También puede definir determinados indicadores. Use la palabra clave Const en la sección Declaraciones del formulario inicial para definir los indicadores que quiere usar. Por ejemplo:

Const ReadOnly  = &H00000001&
Const Effects    = &H00000100&
CommonDialog1.Flags = &H10& Or &H200&

La suma de los valores de las constantes deseadas produce el mismo resultado. Lo siguiente es equivalente al ejemplo anterior:

CommonDialog1.Flags = &H210&

Tipo de datos

Long


Flags (Propiedad, cuadro de diálogo Fuente)

Devuelve o establece las opciones del cuadro de diálogo Fuente.

Sintaxis

objeto.Flags [= valor]

La sintaxis de la propiedad Flags consta de las siguientes partes:

Parte | Descripción
objeto | Una expresión de objeto que da como resultado un objeto de la lista Se aplica a.
valor | Una constante o un valor que especifica las opciones de un cuadro de diálogo Fuente, como se describe en Valores.

Valores

Los valores admitidos para valor son:

Constante | Valor | Descripción
cdlCFANSIOnly | &H400 | Especifica que el cuadro de diálogo sólo permite la selección de las fuentes que utilicen el juego de caracteres de Windows. Si este indicador está activado, el usuario no podrá seleccionar una fuente que sólo contenga símbolos.
cdlCFApply | &H200 | Activa el botón Aplicar del cuadro de diálogo.
cdlCFBoth | &H3 | Hace que el cuadro de diálogo enumere las fuentes de impresora y de pantalla disponibles. La propiedad hDC identifica el contexto de dispositivo asociado con la impresora.
cdlCFEffects | &H100 | Especifica que el cuadro de diálogo permite los efectos de tachado, subrayado y color.
cdlCFFixedPitchOnly | &H4000 | Especifica que el cuadro de diálogo selecciona sólo fuentes de densidad fija.
cdlCFForceFontExist | &H10000 | Especifica que se presentará un mensaje de error si el usuario intenta seleccionar una fuente o un estilo que no exista.
cdlCFHelpButton | &H4 | Hace que el cuadro de diálogo presente un botón Ayuda.
cdlCFLimitSize | &H2000 | Especifica que el cuadro de diálogo selecciona sólo tamaños de fuente dentro del intervalo especificado por las propiedades Min y Max.
cdlCFNoFaceSel | &H80000 | No hay ningún nombre de fuente seleccionado.
cdlCFNoSimulations | &H1000 | Especifica que el cuadro de diálogo no permite la simulación de fuentes de la interfaz de dispositivos gráficos (GDI, Graphic Device Interface).
cdlCFNoSizeSel | &H200000 | No hay seleccionado ningún tamaño de fuente.
cdlCFNoStyleSel | &H100000 | No hay seleccionado ningún estilo de fuente.
cdlCFNoVectorFonts | &H800 | Especifica que el cuadro de diálogo no permite la selección de fuentes vectoriales.
cdlCFPrinterFonts | &H2 | Hace que el cuadro de diálogo enumere únicamente las fuentes aceptadas por la impresora, según lo especificado por la propiedad hDC.
cdlCFScalableOnly | &H20000 | Especifica que el cuadro de diálogo sólo permite la selección de fuentes escalables.
cdlCFScreenFonts | &H1 | Hace que el cuadro de diálogo muestre únicamente las fuentes de pantalla compatibles con el sistema.
cdlCFTTOnly | &H40000 | Especifica que el cuadro de diálogo sólo permite la selección de fuentes TrueType.
cdlCFWYSIWYG | &H8000 | Especifica que el cuadro de diálogo sólo permite seleccionar fuentes disponibles tanto en la impresora como en la pantalla. Si se establece este indicador, también se deben establecer los indicadores cdlCFBoth y cdlCFScalableOnly.

Comentarios

Estas constantes se enumeran en la biblioteca de objetos del control CommonDialog (MSComDlg) de Microsoft, dentro del Examinador de objetos.

También puede definir determinados indicadores. Use la palabra clave Const en la sección Declaraciones del formulario inicial para definir los indicadores que quiere usar. Por ejemplo:

Const ReadOnly  = &H00000001&
Const Effects    = &H00000100&

Puede establecer uno o varios indicadores para un cuadro de diálogo mediante el operador Or. Por ejemplo:

CommonDialog1.Flags = &H10& Or &H200&

La suma de los valores de las constantes deseadas produce el mismo resultado. El ejemplo siguiente es equivalente al anterior:

CommonDialog1.Flags = &H210&

Nota Tiene que establecer la propiedad Flags a cdlCFScreenFonts, cdlCFPrinterFonts o cdlCFBoth antes de presentar el cuadro de diálogo Fuente. De lo contrario, se produce el error No hay ninguna fuente.

Tipo de datos

Long


Flags (Propiedad, cuadro de diálogo Imprimir)

Devuelve o establece las opciones del cuadro de diálogo Imprimir.

Sintaxis

objeto.Flags [= valor]

La sintaxis de la propiedad Flags consta de las siguientes partes:

Parte | Descripción
objeto | Una expresión de objeto que da como resultado un objeto de la lista Se aplica a.
valor | Una constante o un valor que especifica las opciones del cuadro de diálogo Imprimir, como se describe en Valores.

Valores

Los valores admitidos para valor son:

Constante | Valor | Descripción
cdlPDAllPages | &H0 | Devuelve o establece el estado del botón de opción Todo.
cdlPDCollate | &H10 | Devuelve o establece el estado de la casilla de verificación Intercalar.
cdlPDDisablePrintToFile | &H80000 | Deshabilita la casilla de verificación Imprimir en un archivo.
cdlPDHelpButton | &H800 | Hace que el cuadro de diálogo presente el botón Ayuda.
cdlPDHidePrintToFile | &H100000 | Oculta la casilla de verificación Imprimir en un archivo.
cdlPDNoPageNums | &H8 | Deshabilita el botón de opción Páginas y el control de edición asociado.
cdlPDNoSelection | &H4 | Deshabilita el botón de opción Selección.
cdlPDNoWarning | &H80 | Evita que aparezca un mensaje de advertencia cuando no hay ninguna impresora predeterminada.
cdlPDPageNums | &H2 | Devuelve o establece el estado del botón de opción Páginas.
cdlPDPrintSetup | &H40 | Hace que el sistema presente el cuadro de diálogo Configurar impresora en vez del cuadro de diálogo Imprimir.
cdlPDPrintToFile | &H20 | Devuelve o establece el estado de la casilla de verificación Imprimir en un archivo.
cdlPDReturnDC | &H100 | Devuelve un contexto de dispositivo para la impresora seleccionada en el cuadro de diálogo. El contexto de dispositivo se devuelve en la propiedad hDC del cuadro de diálogo.
cdlPDReturnDefault | &H400 | Devuelve el nombre de la impresora predeterminada.
cdlPDReturnIC | &H200 | Devuelve un contexto de información para la impresora seleccionada en el cuadro de diálogo. El contexto de información proporciona una manera rápida de obtener información acerca del dispositivo sin crear un contexto de dispositivo. El contexto de información se devuelve en la propiedad hDC del cuadro de diálogo.
cdlPDSelection | &H1 | Devuelve o establece el estado del botón de opción Selección. Si no se especifican cdlPDPageNums ni cdlPDSelection, el botón de opción Todo estará en el estado seleccionado.
CdlPDUseDevModeCopies | &H40000 | Si un controlador de impresora no acepta varias copias, el establecimiento de este indicador deshabilita el control Número de copias del cuadro de diálogo Imprimir. Si un controlador no acepta varias copias, el establecimiento de este indicador señala que el cuadro de diálogo almacena el número de copias solicitado en la propiedad Copies.

Comentarios

Estas constantes se enumeran en la biblioteca de objetos del control CommonDialog (MSComDlg) de Microsoft, dentro del Examinador de objetos.

También puede definir determinados indicadores. Use la palabra clave Const en la sección Declaraciones del formulario inicial para definir los indicadores que quiere usar. Por ejemplo:

Const ReadOnly  = &H00000001&
Const Effects   = &H00000100&

Puede establecer uno o varios indicadores para un cuadro de diálogo mediante el operador Or. Por ejemplo:

CommonDialog1.Flags = &H10& Or &H200&

La suma de los valores de las constantes deseadas produce el mismo resultado. El ejemplo siguiente es equivalente al anterior:

CommonDialog1.Flags = &H210&

Tipo de datos

Long


Flags (Propiedad, todos los controles Common Dialogs)

Flags (Propiedad, cuadros de diálogo Abrir y Guardar como)

Flags (Propiedad, cuadro de diálogo Color)

Flags (Propiedad, cuadro de diálogo Fuente)

Flags (Propiedad, cuadro de diálogo Imprimir)


FromPage, ToPage (Propiedades)

Devuelven o establecen los valores de los cuadros de texto De y A del cuadro de diálogo Imprimir.

Sintaxis

objeto.FromPage [= número]

objeto.ToPage [= número]

La sintaxis de las propiedades FromPage y ToPage consta de las siguientes partes:

Parte | Descripción
objeto | Una expresión de objeto que da como resultado un objeto de la lista Se aplica a.
número | Una expresión numérica que especifica la primera y la última páginas que se van a imprimir.

Comentarios

Estas propiedades sólo son válidas cuando el indicador cdlPDPageNums está activado.

Tipo de datos

Integer


HelpCommand (Propiedad)

Devuelve o establece el tipo de Ayuda en pantalla solicitada.

Sintaxis

objeto.HelpCommand [= valor]

La sintaxis de la propiedad HelpCommand consta de las siguientes partes:

Parte | Descripción
objeto | Una expresión de objeto que da como resultado un objeto de la lista Se aplica a.
valor | Una constante o un valor que especifica el tipo de Ayuda, como se describe en Valores.

Valores

Los valores admitidos para valor son:

Constante | Valor | Descripción
cdlHelpCommandHelp | &H102& | Ejecuta una macro de Ayuda.
cdlHelpContents | &H3& | Presenta el tema de contenido de Ayuda que se haya definido en la opción Contents de la sección [OPTION] del archivo .hpj. Vea Comentarios más abajo para obtener información acerca de los archivos de Ayuda creados con Microsoft Help Workshop 4.0X.
cdlHelpContext | &H1& | Presenta Ayuda acerca de un contexto concreto. Cuando utilice este valor, también tiene que especificar un contexto mediante la propiedad HelpContext.
CdlHelpContextPopup | &H8& | Presenta, en una ventana emergente, un determinado tema de Ayuda identificado por un número de contexto definido en la sección [MAP] del archivo .hpj.
cdlHelpForceFile | &H9& | Asegura que WinHelp presentará el archivo de Ayuda correcto. Si actualmente se está presentando el archivo de Ayuda correcto, no se realizará ninguna acción. Si se está presentando un archivo de Ayuda incorrecto, WinHelp abrirá el archivo correcto.
cdlHelpHelpOnHelp | &H4& | Presenta Ayuda acerca del uso de la aplicación de Ayuda propiamente dicha.
cdlHelpIndex | &H3& | Presenta el índice del archivo de Ayuda especificado. La aplicación sólo debe usar este valor con archivos de Ayuda de índice único.
cdlHelpKey | &H101& | Presenta Ayuda acerca de una palabra clave determinada. Cuando utilice este valor, también tiene que especificar una palabra clave mediante la propiedad HelpKey.
cdlHelpPartialKey | &H105& | Presenta el tema encontrado en la lista de palabras clave que coincida con la palabra clave pasada en el parámetro dwData si hay coincidencia exacta. Si hay varias coincidencias, se presenta el cuadro de diálogo Buscar, con los temas encontrados en el cuadro de lista Ir a. Si no hay coincidencia, se presenta el cuadro de diálogo Buscar. Para presentar el cuadro de diálogo Buscar sin pasar una palabra clave, utilice un puntero de tipo Long a una cadena vacía.
cdlHelpQuit | &H2& | Notifica a la aplicación de Ayuda que el archivo de Ayuda especificado ya no está en uso.
cdlHelpSetContents | &H5& | Determina el tema de contenido que se presenta cuando un usuario presiona la tecla F1.
cdlHelpSetIndex | &H5& | Establece el contexto especificado por la propiedad HelpContext como índice actual del archivo de Ayuda especificado por la propiedad HelpFile. Dicho índice permanece como actual hasta que el usuario consulta otro archivo de Ayuda diferente. Utilice este valor sólo para los archivos de Ayuda que tengan varios índices.

Comentarios

Los valores de las constantes de la propiedad HelpCommand se enumeran en la biblioteca de objetos del control CommonDialog (MSComDlg) de Microsoft, dentro del Examinador de objetos.

La constante cdlHelpContents no funciona con archivos de Ayuda creados con Microsoft Help Workshop Version 4.0X. En su lugar, puede usar el valor &HB para obtener el mismo resultado. Vea el ejemplo de la propiedad HelpCommand para ver un ejemplo de código.

Tipo de datos

Integer


HelpContext (Propiedad, control CommonDialog)

Devuelve o establece el Id. de contexto del tema de Ayuda solicitado.

Sintaxis

objeto.HelpContext [= valor]

La sintaxis de la propiedad HelpContext consta de las siguientes partes:

Parte | Descripción
objeto | Una expresión de objeto que da como resultado un objeto de la lista Se aplica a.
valor | Una expresión de cadena que especifica el Id. de contexto del tema de Ayuda solicitado.

Comentarios

Utilice esta propiedad junto con la propiedad HelpCommand (establezca HelpCommand = cdlHelpContext) para especificar el tema de Ayuda que va a presentar.

Tipo de datos

Long


HelpKey (Propiedad)

Devuelve o establece la palabra clave que identifica el tema de Ayuda solicitado.

Sintaxis

objeto.HelpKey [= cadena]

La sintaxis de la propiedad HelpKey consta de las siguientes partes:

Parte | Descripción
objeto | Una expresión de objeto que da como resultado un objeto de la lista Se aplica a.
cadena | Una expresión de cadena que especifica la palabra clave que identifica el tema de Ayuda.

Comentarios

Utilice esta propiedad junto con la propiedad HelpCommand (establezca HelpCommand = cdlHelpKey) para especificar el tema de Ayuda que va a presentar.

Tipo de datos

String


InitDir (Propiedad)

Devuelve o establece el directorio inicial de los archivos.

Sintaxis

objeto.InitDir [= cadena]

La sintaxis de la propiedad InitDir consta de las siguientes partes:

Parte | Descripción
objeto | Una expresión de objeto que da como resultado un objeto de la lista Se aplica a.
cadena | Una expresión de cadena que especifica el directorio inicial de los archivos.

Comentarios

Esta propiedad se utiliza para especificar el directorio inicial de los cuadros de diálogo Abrir o Guardar como. Si esta propiedad no se especifica, se utiliza el directorio actual.

Tipo de datos

String


Max, Min (Propiedades, control CommonDialog)

Puede establecer las propiedades Max y Min para lo siguiente:

  • Cuadro de diálogo Fuente: devuelven o establecen los tamaños de fuente máximo y mínimo presentados en el cuadro de lista Tamaño.

  • Cuadro de diálogo Imprimir: devuelven o establecen los valores máximo y mínimo permitidos en el intervalo de impresión.

Sintaxis

objeto.Min [= puntos]

objeto.Max [= puntos]

objeto.Min [= número]

objeto.Max [= número]

La sintaxis de las propiedades Max y Min consta de las siguientes partes:

Parte | Descripción
objeto | Una expresión de objeto que da como resultado un objeto de la lista Se aplica a.
puntos | Una expresión numérica que especifica los tamaños de fuente mayor y menor.
número | Una expresión numérica que especifica los números de página mínimo y máximo.

Comentarios

  • En el cuadro de diálogo Fuente, es necesario activar el indicador cdlCFLimitSize antes de usar estas propiedades.

  • En el cuadro de diálogo Imprimir, la propiedad Min determina el menor número que el usuario puede especificar en el cuadro de texto De. La propiedad Max determina el mayor número que el usuario puede especificar en el cuadro de texto A.

Tipo de datos

Integer


MaxFileSize (Propiedad)

Devuelve o establece el tamaño máximo del nombre de archivo abierto mediante el control CommonDialog.

Sintaxis

objeto.MaxFileSize [= valor]

La sintaxis de la propiedad MaxFileSize consta de las siguientes partes:

Parte | Descripción
objeto | Una expresión de objeto que da como resultado un objeto de la lista Se aplica a.
valor | Un entero que especifica el tamaño máximo del archivo en bytes. El intervalo de esta propiedad es de 1 a 32 KB. El valor predeterminado es 256.

Comentarios

La propiedad MaxFileSize asigna memoria para almacenar los nombres reales del archivo o los archivos seleccionados. Cuando se utiliza el indicador cdlOFNAllowMultiselect, es posible que desee incrementar el tamaño de la propiedad MaxFileSize para reservar memoria suficiente para los nombres de archivo seleccionados.

Tipo de datos

Integer


Orientation (Propiedad, control CommonDialog)

Devuelve o establece un valor que indica si los documentos se imprimen de forma vertical u horizontal. No está disponible en tiempo de diseño.

Sintaxis

objeto.Orientation [= valor]

La sintaxis de la propiedad Orientation tiene estas partes:

Parte | Descripción
objeto | Una expresión de objeto que da como resultado un objeto de la lista Se aplica a.
valor | Un valor o una constante que determina la orientación de la página, tal como se describe en Valores.

Valores

Los posible valores para valor son:

Constante | Valor | Descripción
cdlPortrait | 1 | Los documentos se imprimen con la parte superior en el lado más estrecho del papel.
cdlLandScape | 2 | Los documentos se imprimen con la parte superior en el lado más ancho del papel.

Comentarios

Estas constantes están en la biblioteca de objetos de Visual Basic (VB) en el Examinador de objetos.

Nota El efecto de las propiedades del objeto Printer depende del controlador proporcionado por el fabricante de la impresora. Algunos valores para la propiedad puede que no tengan efecto, o diferentes valores de propiedad pueden tener el mismo efecto. Los valores fuera del intervalo pueden producir un error. Para obtener más información vea la documentación del fabricante para el controlador específico.


PrinterDefault (Propiedad)

Devuelve o establece una opción que determina si las selecciones realizadas por el usuario en el cuadro de diálogo Imprimir se utilizan para cambiar los valores de la impresora predeterminada del sistema.

Sintaxis

objeto.PrinterDefault [= valor]

La sintaxis de la propiedad PrinterDefault consta de las siguientes partes:

Parte | Descripción
objeto | Una expresión de objeto que da como resultado un objeto de la lista Se aplica a.
valor | Una expresión booleana que especifica si las selecciones realizadas por el usuario se utilizan para cambiar los valores de la impresora predeterminada del sistema, como se describe en Valores.

Valores

Los valores admitidos para valor son:

Valor | Descripción
True | Todas las selecciones que el usuario haga en la parte de configuración del cuadro de diálogo Imprimir (impresora, orientación, etc.) se usan para cambiar los valores de impresora en el registro de sistema.
False | Las selecciones del usuario no se pueden usar para cambiar los valores de la impresora predeterminada del sistema.

Comentarios

Cuando PrinterDefault es True, puede escribir código para imprimir directamente en el objeto Printer de Visual Basic. De lo contrario, tiene que usar las llamadas de la Interfaz de dispositivo gráfico (GDI, Graphic Device Interface) para imprimir en la impresora especificada por la propiedad hDC del control.

Nota Si ha impreso previamente en el objeto Printer, asegúrese de que ha terminado el trabajo de impresión mediante Printer.EndDoc. Así se libera el hDC asociado con la impresora. Obtendrá un nuevo hDC para la impresora predeterminada la próxima vez que imprima en el objeto Printer. Si no lo hace, es posible que el usuario seleccione una nueva impresora mientras el objeto Printer contiene un controlador para la impresora anterior.

Tipo de datos

Boolean